<?php

require_once 'conexao.php';

$arquivo = $_GET['nomearquivo'];
$id = $_GET['id'];


if(isset($_GET['avaria'])){
$idavaria = $_GET['avaria'];
}

$pasta = "C:/xampp/htdocs/uploads/";

$exluir = $pasta . $arquivo;




if (file_exists($exluir)) {

    // Apaga o arquivo
    if (unlink($exluir)) {

    if($idavaria){

        $apagar_arquivo = "UPDATE avaria_arquivos SET arquivo_excluido = 'S' WHERE FK_ARQUIVO = $id";
        mysqli_query($conexao, $apagar_arquivo);
        
    }else{

       echo "Arquivo excluído com sucesso!";   
        $apagar = "DELETE FROM `arquivos` WHERE `id` = $id ";
        mysqli_query($conexao, $apagar);

    }
        if($idavaria){

       header("Location: ../arquivosAvaria.php?codAvaria=$idavaria");

        }else {

       header("Location: ../downloads.php");

        }

    } else {
        echo "Erro ao excluir o arquivo.";
    }
} else {
    echo "Arquivo não encontrado.";
}
